diff --git a/pki/base/common/src/com/netscape/cms/servlet/admin/UsrGrpAdminServlet.java b/pki/base/common/src/com/netscape/cms/servlet/admin/UsrGrpAdminServlet.java
index 8481fffe132a13f875357433ecaeaee879898adc..6eaf004f9a1bdf75796996b0549d5181edfcff4a 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/admin/UsrGrpAdminServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/admin/UsrGrpAdminServlet.java
@@ -90,8 +90,6 @@ public class UsrGrpAdminServlet extends AdminServlet {
 
     private IUGSubsystem mMgr = null;
 
-    private IAuthzSubsystem mAuthz = null;
-
     private static String[] mMultiRoleGroupEnforceList = null;
     private final static String MULTI_ROLE_ENABLE = "multiroles.enable";
     private final static String MULTI_ROLE_ENFORCE_GROUP_LIST = "multiroles.false.groupEnforceList";
@@ -345,7 +343,7 @@ public class UsrGrpAdminServlet extends AdminServlet {
 
         NameValuePairs params = new NameValuePairs();
 
-        Enumeration e = null;
+        Enumeration<IUser> e = null;
 
         try {
             e = mMgr.listUsers("*");
@@ -359,7 +357,7 @@ public class UsrGrpAdminServlet extends AdminServlet {
         int i = 0;
 
         while (e.hasMoreElements()) {
-            IUser user = (IUser) e.nextElement();
+            IUser user = e.nextElement();
 
             if (i > 0) {
                 sb.append(";");
@@ -424,7 +422,7 @@ public class UsrGrpAdminServlet extends AdminServlet {
 
             // get list of groups, and get a list of those that this
             //			uid belongs to
-            Enumeration e = null;
+            Enumeration<IGroup> e = null;
 
             try {
                 e = mMgr.findGroups("*");
@@ -438,7 +436,7 @@ public class UsrGrpAdminServlet extends AdminServlet {
             StringBuffer grpString = new StringBuffer();
 
             while (e.hasMoreElements()) {
-                IGroup group = (IGroup) e.nextElement();
+                IGroup group = e.nextElement();
 
                 if (group.isMember(id) == true) {
                     if (grpString.length() != 0) {
@@ -553,7 +551,7 @@ public class UsrGrpAdminServlet extends AdminServlet {
             IOException, EBaseException {
         NameValuePairs params = new NameValuePairs();
 
-        Enumeration e = null;
+        Enumeration<IGroup> e = null;
 
         try {
             e = mMgr.listGroups("*");
@@ -564,7 +562,7 @@ public class UsrGrpAdminServlet extends AdminServlet {
         }
 
         while (e.hasMoreElements()) {
-            IGroup group = (IGroup) e.nextElement();
+            IGroup group = e.nextElement();
             String desc = group.getDescription();
 
             if (desc != null) {
@@ -600,7 +598,7 @@ public class UsrGrpAdminServlet extends AdminServlet {
             return;
         }
 
-        Enumeration e = null;
+        Enumeration<IGroup> e = null;
 
         try {
             e = mMgr.findGroups(id);
@@ -611,13 +609,13 @@ public class UsrGrpAdminServlet extends AdminServlet {
         }
 
         if (e.hasMoreElements()) {
-            IGroup group = (IGroup) e.nextElement();
+            IGroup group = e.nextElement();
 
             params.add(Constants.PR_GROUP_GROUP, group.getGroupID());
             params.add(Constants.PR_GROUP_DESC,
                     group.getDescription());
 
-            Enumeration members = group.getMemberNames();
+            Enumeration<String> members = group.getMemberNames();
             StringBuffer membersString = new StringBuffer();
 
             if (members != null) {
@@ -626,7 +624,7 @@ public class UsrGrpAdminServlet extends AdminServlet {
                         membersString.append(", ");
                     }
 
-                    String mn = (String) members.nextElement();
+                    String mn = members.nextElement();
 
                     membersString.append(mn);
                 }
@@ -814,7 +812,7 @@ public class UsrGrpAdminServlet extends AdminServlet {
                         Constants.PR_USER_GROUP);
 
                 if (groupName != null) {
-                    Enumeration e = null;
+                    Enumeration<IGroup> e = null;
 
                     try {
                         e = mMgr.findGroups(groupName);
@@ -836,7 +834,7 @@ public class UsrGrpAdminServlet extends AdminServlet {
                     }
 
                     if (e.hasMoreElements()) {
-                        IGroup group = (IGroup) e.nextElement();
+                        IGroup group = e.nextElement();
 
                         group.addMemberName(id);
                         try {
@@ -902,8 +900,6 @@ public class UsrGrpAdminServlet extends AdminServlet {
                 }
                 return;
             } catch (LDAPException e) {
-                String errMsg = "addUser()" + e.toString();
-
                 log(ILogger.LL_FAILURE, CMS.getLogMessage("ADMIN_SRVLT_ADD_USER_FAIL", e.toString()));
 
                 // store a message in the signed audit log file
@@ -1530,7 +1526,7 @@ public class UsrGrpAdminServlet extends AdminServlet {
                 return;
             }
             // get list of groups, and see if uid belongs to any
-            Enumeration e = null;
+            Enumeration<IGroup> e = null;
 
             try {
                 e = mMgr.findGroups("*");
@@ -2090,7 +2086,7 @@ public class UsrGrpAdminServlet extends AdminServlet {
     }
 
     private boolean isDuplicate(String groupName, String memberName) {
-        Enumeration groups = null;
+        Enumeration<IGroup> groups = null;
 
         // Let's not mess with users that are already a member of this group
         boolean isMember = false;
@@ -2105,15 +2101,15 @@ public class UsrGrpAdminServlet extends AdminServlet {
         try {
             groups = mMgr.listGroups("*");
             while (groups.hasMoreElements()) {
-                IGroup group = (IGroup) groups.nextElement();
+                IGroup group = groups.nextElement();
                 String name = group.getName();
-                Enumeration g = mMgr.findGroups(name);
-                IGroup g1 = (IGroup) g.nextElement();
+                Enumeration<IGroup> g = mMgr.findGroups(name);
+                IGroup g1 = g.nextElement();
                 if (!name.equals(groupName)) {
                     if (isGroupInMultiRoleEnforceList(name)) {
-                        Enumeration members = g1.getMemberNames();
+                        Enumeration<String> members = g1.getMemberNames();
                         while (members.hasMoreElements()) {
-                            String m1 = (String) members.nextElement();
+                            String m1 = members.nextElement();
                             if (m1.equals(memberName))
                                 return true;
                         }
diff --git a/pki/base/common/src/com/netscape/cms/servlet/base/CMSServlet.java b/pki/base/common/src/com/netscape/cms/servlet/base/CMSServlet.java
index e292e501a460a14ea60104579a4c811f3388c3fe..a48b8146c70eb1cebbc4ecd9975853c18c75f40c 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/base/CMSServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/base/CMSServlet.java
@@ -55,7 +55,6 @@ import netscape.security.x509.RevocationReason;
 import netscape.security.x509.RevokedCertImpl;
 import netscape.security.x509.X509CertImpl;
 
-import org.mozilla.jss.ssl.SSLSocket;
 import org.w3c.dom.Node;
 
 import com.netscape.certsrv.apps.CMS;
@@ -446,7 +445,6 @@ public abstract class CMSServlet extends HttpServlet {
             outputHttpParameters(httpReq);
         }
         CMS.debug("CMSServlet: " + mId + " start to service.");
-        String className = this.getClass().getName();
 
         // get a cms request 
         CMSRequest cmsRequest = newCMSRequest();
@@ -770,7 +768,6 @@ public abstract class CMSServlet extends HttpServlet {
      * Invalidates a SSL Session. So client auth will happen again.
      */
     protected static void invalidateSSLSession(HttpServletRequest httpReq) {
-        SSLSocket s = null;
 
         /*
          try {
@@ -1812,9 +1809,6 @@ public abstract class CMSServlet extends HttpServlet {
         String auditACLResource = resource;
         String auditOperation = "enroll";
 
-        SessionContext auditContext = SessionContext.getExistingContext();
-        String authManagerId = null;
-
         try {
             authzToken = mAuthz.authorize(authzMgrName, authToken, exp);
             if (authzToken != null) {
diff --git a/pki/base/common/src/com/netscape/cms/servlet/cert/DisplayCRL.java b/pki/base/common/src/com/netscape/cms/servlet/cert/DisplayCRL.java
index bdaa0df2942309a2a82780d08487b91b3a5875b7..c34cd2227bd62e5e45297e17105e1f61bc4b09d2 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/cert/DisplayCRL.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/cert/DisplayCRL.java
@@ -183,7 +183,7 @@ public class DisplayCRL extends CMSServlet {
         boolean isCRLCacheEnabled = false;
         String masterHost = null;
         String masterPort = null;
-        Vector ipNames = null;
+        Vector<String> ipNames = null;
         String ipId = crlIssuingPointId;
         ICRLRepository crlRepository = mCA.getCRLRepository();
 
@@ -203,7 +203,7 @@ public class DisplayCRL extends CMSServlet {
                 if (ipNames != null && ipNames.size() > 0) {
                     int i;
                     for (i = 0; i < ipNames.size(); i++) {
-                        String ipName = (String) ipNames.elementAt(i);
+                        String ipName = ipNames.elementAt(i);
                         if (crlIssuingPointId.equals(ipName)) {
                             break;
                         }
diff --git a/pki/base/common/src/com/netscape/cms/servlet/cert/GetInfo.java b/pki/base/common/src/com/netscape/cms/servlet/cert/GetInfo.java
index ce3b7ee69842da4f58f3ae4d2c91f5cb0c180c04..9db5cb892101874eee84c40c63b27880d17b6aee 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/cert/GetInfo.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/cert/GetInfo.java
@@ -213,9 +213,9 @@ public class GetInfo extends CMSServlet {
 
                 ICRLRepository crlRepository = mCA.getCRLRepository();
 
-                Vector ipNames = crlRepository.getIssuingPointsNames();
+                Vector<String> ipNames = crlRepository.getIssuingPointsNames();
                 for (int i = 0; i < ipNames.size(); i++) {
-                    String ipName = (String) ipNames.elementAt(i);
+                    String ipName = ipNames.elementAt(i);
                     ICRLIssuingPointRecord crlRecord = null;
                     try {
                         crlRecord = crlRepository.readCRLIssuingPointRecord(ipName);
diff --git a/pki/base/common/src/com/netscape/cms/servlet/cert/ReasonToRevoke.java b/pki/base/common/src/com/netscape/cms/servlet/cert/ReasonToRevoke.java
index 87882059777dfe790b76ad65786536bea16f50f7..b8e56b3e7755e1f30e972f74dde99824eab86375 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/cert/ReasonToRevoke.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/cert/ReasonToRevoke.java
@@ -249,7 +249,6 @@ public class ReasonToRevoke extends CMSServlet {
                     totalRecordCount, mTimeLimits);
 
             int count = 0;
-            String errorMsg = null;
 
             while (e != null && e.hasMoreElements()) {
                 ICertRecord rec = (ICertRecord) e.nextElement();
diff --git a/pki/base/common/src/com/netscape/cms/servlet/cert/RemoteAuthConfig.java b/pki/base/common/src/com/netscape/cms/servlet/cert/RemoteAuthConfig.java
index 5a0a12662434770b523b4f03c9eb6b19d6d69b41..55d8bb04c18150c049cf2444bd9c88571b138bc8 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/cert/RemoteAuthConfig.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/cert/RemoteAuthConfig.java
@@ -75,7 +75,7 @@ public class RemoteAuthConfig extends CMSServlet {
     private IAuthSubsystem mAuthSubsystem = null;
     private IConfigStore mAuthConfig = null;
     private IConfigStore mFileConfig = null;
-    private Vector mRemotelySetInstances = new Vector();
+    private Vector<String> mRemotelySetInstances = new Vector<String>();
     private boolean mEnableRemoteConfiguration = false;
 
     /**
@@ -302,10 +302,11 @@ public class RemoteAuthConfig extends CMSServlet {
                 LDAPAttribute attr = entry.getAttribute(MEMBER_OF);
 
                 if (attr != null) {
-                    Enumeration eVals = attr.getStringValues();
+                    @SuppressWarnings("unchecked")
+                    Enumeration<String> eVals = attr.getStringValues();
 
                     while (eVals.hasMoreElements()) {
-                        String nextValue = (String) eVals.nextElement();
+                        String nextValue = eVals.nextElement();
 
                         if (nextValue.indexOf("Administrator") > -1) {
                             LDAPEntry groupEntry = c.read(nextValue);
@@ -314,10 +315,11 @@ public class RemoteAuthConfig extends CMSServlet {
                                 LDAPAttribute gAttr = groupEntry.getAttribute(UNIQUE_MEMBER);
 
                                 if (gAttr != null) {
-                                    Enumeration eValues = gAttr.getStringValues();
+                                    @SuppressWarnings("unchecked")
+                                    Enumeration<String> eValues = gAttr.getStringValues();
 
                                     while (eValues.hasMoreElements()) {
-                                        String value = (String) eValues.nextElement();
+                                        String value = eValues.nextElement();
 
                                         if (value.equals(entry.getDN())) {
                                             c.disconnect();
@@ -409,10 +411,11 @@ public class RemoteAuthConfig extends CMSServlet {
 
                     if (attr != null) {
                         memberOf = true;
-                        Enumeration eVals = attr.getStringValues();
+                        @SuppressWarnings("unchecked")
+                        Enumeration<String> eVals = attr.getStringValues();
 
                         while (eVals.hasMoreElements()) {
-                            String nextValue = (String) eVals.nextElement();
+                            String nextValue = eVals.nextElement();
 
                             if (nextValue.indexOf("Administrator") > -1) {
                                 LDAPEntry groupEntry = c.read(nextValue);
@@ -421,10 +424,11 @@ public class RemoteAuthConfig extends CMSServlet {
                                     LDAPAttribute gAttr = groupEntry.getAttribute(UNIQUE_MEMBER);
 
                                     if (gAttr != null) {
-                                        Enumeration eValues = gAttr.getStringValues();
+                                        @SuppressWarnings("unchecked")
+                                        Enumeration<String> eValues = gAttr.getStringValues();
 
                                         while (eValues.hasMoreElements()) {
-                                            String value = (String) eValues.nextElement();
+                                            String value = eValues.nextElement();
 
                                             if (value.equals(entry.getDN())) {
                                                 c.disconnect();
@@ -516,7 +520,7 @@ public class RemoteAuthConfig extends CMSServlet {
         for (int i = 0; i < mRemotelySetInstances.size(); i++) {
             if (i > 0)
                 list.append(",");
-            list.append((String) mRemotelySetInstances.elementAt(i));
+            list.append(mRemotelySetInstances.elementAt(i));
         }
 
         mAuthConfig.putString(REMOTELY_SET_INSTANCES, list.toString());
@@ -543,7 +547,7 @@ public class RemoteAuthConfig extends CMSServlet {
             for (int i = 0; i < mRemotelySetInstances.size(); i++) {
                 if (i > 0)
                     list.append(",");
-                list.append((String) mRemotelySetInstances.elementAt(i));
+                list.append(mRemotelySetInstances.elementAt(i));
             }
 
             mAuthConfig.putString(REMOTELY_SET_INSTANCES, list.toString());
@@ -563,10 +567,10 @@ public class RemoteAuthConfig extends CMSServlet {
         boolean isListed = false;
 
         if (pluginName != null && pluginName.length() > 0) {
-            Enumeration e = mAuthSubsystem.getAuthManagerPlugins();
+            Enumeration<AuthMgrPlugin> e = mAuthSubsystem.getAuthManagerPlugins();
 
             while (e.hasMoreElements()) {
-                AuthMgrPlugin plugin = (AuthMgrPlugin) e.nextElement();
+                AuthMgrPlugin plugin = e.nextElement();
 
                 if (pluginName.equals(plugin.getId())) {
                     isListed = true;
@@ -582,10 +586,10 @@ public class RemoteAuthConfig extends CMSServlet {
         boolean isListed = false;
 
         if (instanceName != null && instanceName.length() > 0) {
-            Enumeration e = mAuthSubsystem.getAuthManagers();
+            Enumeration<IAuthManager> e = mAuthSubsystem.getAuthManagers();
 
             while (e.hasMoreElements()) {
-                IAuthManager authManager = (IAuthManager) e.nextElement();
+                IAuthManager authManager = e.nextElement();
 
                 if (instanceName.equals(authManager.getName())) {
                     isListed = true;
diff --git a/pki/base/common/src/com/netscape/cms/servlet/cert/RenewalServlet.java b/pki/base/common/src/com/netscape/cms/servlet/cert/RenewalServlet.java
index 2bc1d305164612bc28f67083179ebbea3f7b3d42..fd245421037626eee7960cfdd5ac8a49b3571312 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/cert/RenewalServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/cert/RenewalServlet.java
@@ -278,10 +278,10 @@ public class RenewalServlet extends CMSServlet {
             cmsReq.setIRequestStatus();
             // audit log the status
             if (status == RequestStatus.REJECTED) {
-                Vector messages = req.getExtDataInStringVector(IRequest.ERRORS);
+                Vector<String> messages = req.getExtDataInStringVector(IRequest.ERRORS);
 
                 if (messages != null) {
-                    Enumeration msgs = messages.elements();
+                    Enumeration<String> msgs = messages.elements();
                     StringBuffer wholeMsg = new StringBuffer();
 
                     while (msgs.hasMoreElements()) {
diff --git a/pki/base/common/src/com/netscape/cms/servlet/cert/RevocationServlet.java b/pki/base/common/src/com/netscape/cms/servlet/cert/RevocationServlet.java
index 875f2ab67a99d77af8c14b60bf21bd1a66b259c9..a4d434bd4d22ae5f02f77f67c1ede8fb44ce277d 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/cert/RevocationServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/cert/RevocationServlet.java
@@ -239,10 +239,10 @@ public class RevocationServlet extends CMSServlet {
 
             if (status == RequestStatus.COMPLETE) {
                 header.addStringValue("request", req.getRequestId().toString());
-                Enumeration enum1 = req.getExtDataKeys();
+                Enumeration<String> enum1 = req.getExtDataKeys();
 
                 while (enum1.hasMoreElements()) {
-                    String name = (String) enum1.nextElement();
+                    String name = enum1.nextElement();
 
                     if (name.equals(IRequest.OLD_CERTS)) {
                         X509CertImpl[] certs = req.getExtDataInCertArray(IRequest.OLD_CERTS);
diff --git a/pki/base/common/src/com/netscape/cms/servlet/cert/UpdateDir.java b/pki/base/common/src/com/netscape/cms/servlet/cert/UpdateDir.java
index dc084bd94e963029e433748b4e37465a169ad4fe..0491ccef5eed37a8a8940437df225b215801f173 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/cert/UpdateDir.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/cert/UpdateDir.java
@@ -342,10 +342,10 @@ public class UpdateDir extends CMSServlet {
                 updateValue[UPDATE_CRL].equalsIgnoreCase("yes"))) {
             // check if received issuing point ID is known to the server
             if (crlIssuingPointId != null) {
-                Enumeration ips = mCA.getCRLIssuingPoints();
+                Enumeration<ICRLIssuingPoint> ips = mCA.getCRLIssuingPoints();
 
                 while (ips.hasMoreElements()) {
-                    ICRLIssuingPoint ip = (ICRLIssuingPoint) ips.nextElement();
+                    ICRLIssuingPoint ip = ips.nextElement();
 
                     if (crlIssuingPointId.equals(ip.getId())) {
                         break;
@@ -357,19 +357,19 @@ public class UpdateDir extends CMSServlet {
             if (crlIssuingPointId == null) {
                 // publish all issuing points
                 if (mClonedCA && mCRLRepository != null) {
-                    Vector ipNames = mCRLRepository.getIssuingPointsNames();
+                    Vector<String> ipNames = mCRLRepository.getIssuingPointsNames();
                     if (ipNames != null && ipNames.size() > 0) {
                         for (int i = 0; i < ipNames.size(); i++) {
-                            String ipName = (String) ipNames.elementAt(i);
+                            String ipName = ipNames.elementAt(i);
 
                             updateCRLIssuingPoint(header, ipName, null, locale);
                         }
                     }
                 } else {
-                    Enumeration oips = mCA.getCRLIssuingPoints();
+                    Enumeration<ICRLIssuingPoint> oips = mCA.getCRLIssuingPoints();
 
                     while (oips.hasMoreElements()) {
-                        ICRLIssuingPoint oip = (ICRLIssuingPoint) oips.nextElement();
+                        ICRLIssuingPoint oip = oips.nextElement();
 
                         updateCRLIssuingPoint(header, oip.getId(), oip, locale);
                     }
diff --git a/pki/base/common/src/com/netscape/cms/servlet/common/CMSGateway.java b/pki/base/common/src/com/netscape/cms/servlet/common/CMSGateway.java
index d04e2fb22933c381c05e8ce0ca4a9e4b72429d4d..20743022a179ef2b86b2ad249547d9a85c840e0d 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/common/CMSGateway.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/common/CMSGateway.java
@@ -77,8 +77,9 @@ public class CMSGateway {
     public CMSGateway() {
     }
 
-    public static Hashtable toHashtable(HttpServletRequest req) {
-        Hashtable httpReqHash = new Hashtable();
+    public static Hashtable<String, String> toHashtable(HttpServletRequest req) {
+        Hashtable<String, String> httpReqHash = new Hashtable<String, String>();
+        @SuppressWarnings("unchecked")
         Enumeration<String> names = req.getParameterNames();
 
         while (names.hasMoreElements()) {
diff --git a/pki/base/common/src/com/netscape/cms/servlet/common/CMSRequest.java b/pki/base/common/src/com/netscape/cms/servlet/common/CMSRequest.java
index b1be4f7a57a58f4947f9020ad9d211665c5fce66..ecc5f45beeaebd92a2e99721d0212b1380ae2bc4 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/common/CMSRequest.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/common/CMSRequest.java
@@ -82,7 +82,7 @@ public class CMSRequest {
 
     // any request resulting data;
     Object mResult = null;
-    Hashtable mResults = new Hashtable();
+    Hashtable<String, Object> mResults = new Hashtable<String, Object>();
 
     /**
      * Constructor
diff --git a/pki/base/common/src/com/netscape/cms/servlet/csadmin/RegisterUser.java b/pki/base/common/src/com/netscape/cms/servlet/csadmin/RegisterUser.java
index 8ca70bd4ac3f1d2d4edb9248da938d2451bd1f46..d1c2b6bfb7e60f4a088e7c3b6e7c6026e44817d7 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/csadmin/RegisterUser.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/csadmin/RegisterUser.java
@@ -252,13 +252,13 @@ public class RegisterUser extends CMSServlet {
         auditParams = "Scope;;groups+Operation;;OP_MODIFY+source;;RegisterUser" +
                       "+Resource;;" + mGroupName;
         try {
-            Enumeration groups = ugsys.findGroups(mGroupName);
-            IGroup group = (IGroup) groups.nextElement();
+            Enumeration<IGroup> groups = ugsys.findGroups(mGroupName);
+            IGroup group = groups.nextElement();
 
             auditParams += "+user;;";
-            Enumeration members = group.getMemberNames();
+            Enumeration<String> members = group.getMemberNames();
             while (members.hasMoreElements()) {
-                auditParams += (String) members.nextElement();
+                auditParams += members.nextElement();
                 if (members.hasMoreElements()) {
                     auditParams += ",";
                 }
diff --git a/pki/base/common/src/com/netscape/cms/servlet/csadmin/SessionTimer.java b/pki/base/common/src/com/netscape/cms/servlet/csadmin/SessionTimer.java
index 49cadb9c23cc18e8cdee0c280b646322eac2870d..2d8a188af882924808cd53431fbd57bf8fc6d2a0 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/csadmin/SessionTimer.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/csadmin/SessionTimer.java
@@ -37,9 +37,9 @@ public class SessionTimer extends TimerTask {
     }
 
     public void run() {
-        Enumeration keys = m_sessiontable.getSessionIds();
+        Enumeration<String> keys = m_sessiontable.getSessionIds();
         while (keys.hasMoreElements()) {
-            String sessionId = (String) keys.nextElement();
+            String sessionId = keys.nextElement();
             long beginTime = m_sessiontable.getBeginTime(sessionId);
             Date nowDate = new Date();
             long nowTime = nowDate.getTime();
diff --git a/pki/base/common/src/com/netscape/cms/servlet/csadmin/SizePanel.java b/pki/base/common/src/com/netscape/cms/servlet/csadmin/SizePanel.java
index fcb88c917b90ffbc3cda3b1dd39f106a33e23001..c915d9e85945f3f9f97997fd1c8c36ffa128c8e0 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/csadmin/SizePanel.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/csadmin/SizePanel.java
@@ -46,7 +46,7 @@ import com.netscape.cms.servlet.wizard.WizardServlet;
 import com.netscape.cmsutil.crypto.CryptoUtil;
 
 public class SizePanel extends WizardPanelBase {
-    private Vector mCerts = null;
+    private Vector<Cert> mCerts = null;
     private WizardServlet mServlet = null;
 
     private String default_ecc_curve_name;
@@ -128,7 +128,7 @@ public class SizePanel extends WizardPanelBase {
 
         context.put("firsttime", "false");
         String errorString = "";
-        mCerts = new Vector();
+        mCerts = new Vector<Cert>();
 
         IConfigStore config = CMS.getConfigStore();
         try {
@@ -251,10 +251,10 @@ public class SizePanel extends WizardPanelBase {
         String token = "";
         try {
             token = config.getString(PRE_CONF_CA_TOKEN, "");
-            Enumeration c = mCerts.elements();
+            Enumeration<Cert> c = mCerts.elements();
 
             while (c.hasMoreElements()) {
-                Cert cert = (Cert) c.nextElement();
+                Cert cert = c.nextElement();
                 String ct = cert.getCertTag();
                 boolean enable = config.getBoolean(PCERT_PREFIX + ct + ".enable", true);
                 if (!enable)
@@ -411,10 +411,10 @@ public class SizePanel extends WizardPanelBase {
         }
 
         // generate key pair 
-        Enumeration c = mCerts.elements();
+        Enumeration<Cert> c = mCerts.elements();
 
         while (c.hasMoreElements()) {
-            Cert cert = (Cert) c.nextElement();
+            Cert cert = c.nextElement();
             String ct = cert.getCertTag();
             String friendlyName = ct;
             boolean enable = true;
diff --git a/pki/base/common/src/com/netscape/cms/servlet/csadmin/UpdateConnector.java b/pki/base/common/src/com/netscape/cms/servlet/csadmin/UpdateConnector.java
index bba1f3782749953291d8593ea1a39774ed41f57b..f3df51bd1956fd259bfffe29084d11332919fa27 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/csadmin/UpdateConnector.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/csadmin/UpdateConnector.java
@@ -122,9 +122,10 @@ public class UpdateConnector extends CMSServlet {
 
         IConfigStore cs = CMS.getConfigStore();
 
-        Enumeration list = httpReq.getParameterNames();
+        @SuppressWarnings("unchecked")
+        Enumeration<String> list = httpReq.getParameterNames();
         while (list.hasMoreElements()) {
-            String name = (String) list.nextElement();
+            String name = list.nextElement();
             String val = httpReq.getParameter(name);
             if (name != null && name.startsWith("ca.connector")) {
                 CMS.debug("Adding connector update name=" + name + " val=" + val);
diff --git a/pki/base/common/src/com/netscape/cms/servlet/ocsp/ListCAServlet.java b/pki/base/common/src/com/netscape/cms/servlet/ocsp/ListCAServlet.java
index 83eaca45f33784471a218334502dbc0e8cb6f063..2d9daff95065ce924a3ec5986af1c6db81692e8b 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/ocsp/ListCAServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/ocsp/ListCAServlet.java
@@ -135,8 +135,7 @@ public class ListCAServlet extends CMSServlet {
                 Integer.toString(defStore.getStateCount()));
 
         while (recs.hasMoreElements()) {
-            ICRLIssuingPointRecord rec =
-                    (ICRLIssuingPointRecord) recs.nextElement();
+            ICRLIssuingPointRecord rec = (ICRLIssuingPointRecord) recs.nextElement();
             IArgBlock rarg = CMS.createArgBlock();
             String thisId = rec.getId();
 
